Bug 1006726 - pcs resource describe: Unable to parse xml for: VirtualDomain
pcs resource describe: Unable to parse xml for: VirtualDomain
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Chris Feist
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2013-09-11 03:55 EDT by michal novacek
Modified: 2014-06-17 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: pcs-0.9.91-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 06:54:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description michal novacek 2013-09-11 03:55:23 EDT
Description of problem:
Unable to print paramaters for resource ocf:heartbeat:VirtualDomain

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. pcs resource describe VirtualDomain

Actual results: error printed

Expected results: help text printed

Additional info:

# pcs resource list VirtualDomain

# pcs resource describe VirtualDomain
Resource options for: ocf:heartbeat:VirtualDomain
Error: Unable to parse xml for: VirtualDomain
Comment 2 David Vossel 2013-09-13 17:03:46 EDT
This can be fixed in pcs with the following patch.

diff --git a/pcs/utils.py b/pcs/utils.py
index 35f2a73..c263901 100644
--- a/pcs/utils.py
+++ b/pcs/utils.py
@@ -543,7 +543,7 @@ def get_metadata(resource_agent_script):
     if (not os.path.isfile(resource_agent_script)) or (not os.access(resource_agent_script, os.X_OK)):
         return False
-    (metadata, retval) = run([resource_agent_script, "meta-data"])
+    (metadata, retval) = run([resource_agent_script, "meta-data"], True)
     if retval == 0:
         return metadata
Comment 7 Ludek Smid 2014-06-13 06:54:05 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.